Package org.pushingpixels.substance.flamingo.ribbon.ui

# Class SubstanceRibbonRootPaneUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.RootPaneUI
javax.swing.plaf.basic.BasicRootPaneUI
org.pushingpixels.substance.internal.ui.SubstanceRootPaneUI
org.pushingpixels.substance.flamingo.ribbon.ui.SubstanceRibbonRootPaneUI

All Implemented Interfaces:
  `PropertyChangeListener`, `EventListener`

public class SubstanceRibbonRootPaneUI extends org.pushingpixels.substance.internal.ui.SubstanceRootPaneUI
UI delegate for root panes of `JRibbonFrame` under Substance look-and-feel.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`SubstanceRibbonRootPaneUI.SubstanceRibbonRootLayout`
Custom layout manager for the `JRibbonRootPane` under Substance.

## Nested classes/interfaces inherited from class org.pushingpixels.substance.internal.ui.SubstanceRootPaneUI

`org.pushingpixels.substance.internal.ui.SubstanceRootPaneUI.SubstanceRootLayout`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.pushingpixels.flamingo.internal.ui.ribbon.appmenu.JRibbonApplicationMenuButton`
`applicationMenuButton`
Application menu button of this root pane.
`protected HierarchyListener`
`substanceRibbonHierarchyListener`
Hierarchy listener to track the creation of application menu button.

### Fields inherited from class org.pushingpixels.substance.internal.ui.SubstanceRootPaneUI

`currentRootPaneGC, root, substanceCurrentWindow, substanceHierarchyListener, substancePropertyChangeListener, substanceWindowComponentListener, substanceWindowListener, WINDOW_ROUNDER`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceRibbonRootPaneUI()`

## Method Summary

Modifier and Type
Method
Description
`protected LayoutManager`
`createLayoutManager()`
`protected JComponent`
`createTitlePane(JRootPane root)`
`static ComponentUI`
`createUI(JComponent c)`
`protected void`
`installComponents(JRootPane root)`
`protected void`
`installListeners(JRootPane root)`
`void`
`syncApplicationMenuTips()`
Synchronizes the rich tooltip and popup keytip of the application menu button.
`protected void`
`uninstallComponents(JRootPane root)`
`protected void`
`uninstallListeners(JRootPane root)`

### Methods inherited from class org.pushingpixels.substance.internal.ui.SubstanceRootPaneUI

`getRootPane, getTitlePane, hasCustomSkinOnAtLeastOneRootPane, installBorder, installDefaults, installUI, propertyChange, setMaximized, uninstallUI, update`

### Methods inherited from class javax.swing.plaf.basic.BasicRootPaneUI

`installKeyboardActions, uninstallDefaults, uninstallKeyboardActions`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, paint`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### applicationMenuButton

protected org.pushingpixels.flamingo.internal.ui.ribbon.appmenu.JRibbonApplicationMenuButton applicationMenuButton
Application menu button of this root pane.

### substanceRibbonHierarchyListener

protected HierarchyListener substanceRibbonHierarchyListener
Hierarchy listener to track the creation of application menu button.

## Constructor Details

### SubstanceRibbonRootPaneUI

public SubstanceRibbonRootPaneUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent c)

### installComponents

protected void installComponents(JRootPane root)

Overrides:
  `installComponents` in class `BasicRootPaneUI`

### installListeners

protected void installListeners(JRootPane root)

Overrides:
  `installListeners` in class `org.pushingpixels.substance.internal.ui.SubstanceRootPaneUI`

### uninstallListeners

protected void uninstallListeners(JRootPane root)

Overrides:
  `uninstallListeners` in class `org.pushingpixels.substance.internal.ui.SubstanceRootPaneUI`

### uninstallComponents

protected void uninstallComponents(JRootPane root)

Overrides:
  `uninstallComponents` in class `BasicRootPaneUI`

### createLayoutManager

protected LayoutManager createLayoutManager()

Overrides:
  `createLayoutManager` in class `org.pushingpixels.substance.internal.ui.SubstanceRootPaneUI`

### createTitlePane

protected JComponent createTitlePane(JRootPane root)

Overrides:
  `createTitlePane` in class `org.pushingpixels.substance.internal.ui.SubstanceRootPaneUI`

### syncApplicationMenuTips

public void syncApplicationMenuTips()
Synchronizes the rich tooltip and popup keytip of the application menu button.